# Class DefaultTreeApplyFilterMethod<Data>

#### Type Parameters

- Data extends WithIdentifier & WithChildren = any

#### Implements

- Method<Node<Data>[], TreeApplyFilterParameter>

- Defined in tree/src/lib/tree.data-source.ts:126

#####
Index

### Constructors

constructor

### Properties

lastFilter

### Methods

call
isEqualToLastFilter

## Constructors

### constructor

- new DefaultTreeApplyFilterMethod<Data>(): DefaultTreeApplyFilterMethod<Data>

- #### Type Parameters

  - Data extends unknown = any

  #### Returns DefaultTreeApplyFilterMethod<Data>

## Properties

### `Protected` lastFilter

lastFilter: ISearchForm<unknown> = null

- Defined in tree/src/lib/tree.data-source.ts:129

## Methods

### call

- call(__namedParameters): Node<Data, any>[] | Promise<Node<Data, any>[]>

- #### Parameters

  - __namedParameters: TreeApplyFilterParameter<ISearchForm<unknown>, any>

  #### Returns Node<Data, any>[] | Promise<Node<Data, any>[]>

  Implementation of Method.call

  - Defined in tree/src/lib/tree.data-source.ts:131

### `Protected` isEqualToLastFilter

- isEqualToLastFilter(filter): boolean

- #### Parameters

  - filter: ISearchForm<unknown>

  #### Returns boolean

  - Defined in tree/src/lib/tree.data-source.ts:215